Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-36324

Samigo broken by compiling with Java 1.6

    Details

    • Type: Bug
    • Status: CLOSED
    • Priority: Critical
    • Resolution: Won't Fix
    • Affects Version/s: 2.7.1, 2.8.0
    • Fix Version/s: 2.9.0
    • Labels:
      None
    • Environment:
      qa1-nl, qa1-za 2.7.0-M2
    • Previous Issue Keys:
      SAM-639

      Description

      http://jira.sakaiproject.org/browse/SAK-17578

      A number of tools are broken in a similar way to: http://jira.sakaiproject.org/browse/SAK-16745

      2009-07-23 14:48:57,191 INFO main org.apache.catalina.startup.HostConfig - Deploying web application archive sakai-chat-tool.war
      java.lang.ClassNotFoundException: [Ljava.lang.String;
      at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1359)
      at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1205)

      See: http://jira.sakaiproject.org/browse/SAK-17578

      This happens due to compiling with Java 1.6. The short term work around is to add the following option in the tomcat startup script.
      -Dsun.lang.ClassLoader.allowArraySyntax=true

      Code needs to be updated to avoid this.

      Effected

      Samiog-app,
      sakai-chat
      sakai-blogger
      osp-wizaard-tool
      osp-matrix-tool

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  samigoteam SAMIGO TEAM (Inactive)
                  Reporter:
                  a.m.berg@uva.nl Alan Berg
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  0 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Git Source Code